spring:
  jpa:
    show-sql: true
    hibernate:
      ddl-auto: update
    properties:
      hibernate:
        format_sql: true
    database-platform: org.hibernate.dialect.PostgreSQLDialect

  datasource:
    url: jdbc:postgresql://localhost:5432/yandex-academy
    username: user
    password: password
    driver-class-name: org.postgresql.Driver

  jackson:
    visibility:
      field: any
      getter: none
      setter: none
      is-getter: none

server.servlet:
  encoding:
    charset: UTF-8 # Charset of HTTP requests and responses. Added to the "Content-Type" header if not set explicitly
    enabled: true # Enable http encoding support
    force: true

server:
  port: 80